Summary:      Novell Client for Linux configuration files
Name:         novell-client-conf
Vendor:		  Novell
Version:	  1.0.0
Release:	  0
Group:		  Productivity/Networking
License:	Novell Commercial
URL:		  http://www.novell.com/
Packager:	  Novell
Requires:	novell-client-yast2
BuildRoot:	  %{_tmppath}/%{name}-%{version}-%{release}

%description
This package contains preconfigured conf files for the Novell Client for Linux.

%prep

%build

%install 
install -m 755 -d $RPM_BUILD_ROOT/etc/opt/novell/ncl
pwd
if [ -e file_browser.conf ]; then
	cp file_browser.conf $RPM_BUILD_ROOT/etc/opt/novell/ncl
fi
if [ -e protocol.conf ]; then
	cp protocol.conf $RPM_BUILD_ROOT/etc/opt/novell/ncl
fi
if [ -e login.conf ]; then
	cp login.conf $RPM_BUILD_ROOT/etc/opt/novell/ncl
fi
if [ -e tray_app.conf ]; then
	cp tray_app.conf $RPM_BUILD_ROOT/etc/opt/novell/ncl
fi
if [ -e slp.conf ]; then
	cp slp.conf $RPM_BUILD_ROOT/etc/opt/novell/ncl
fi

%pre
echo "novell-client-conf pre install script"
echo "backup the existing conf files"
if [ -e /etc/opt/novell/ncl/file_browser.conf ]
then
	cp /etc/opt/novell/ncl/file_browser.conf /etc/opt/novell/ncl/file_browser.conf.ncl_rpmsave
fi
if [ -e /etc/opt/novell/ncl/protocol.conf ]
then
	cp /etc/opt/novell/ncl/protocol.conf /etc/opt/novell/ncl/protocol.conf.ncl_rpmsave
fi
if [ -e /etc/opt/novell/ncl/login.conf ]
then
	cp /etc/opt/novell/ncl/login.conf /etc/opt/novell/ncl/login.conf.ncl_rpmsave
fi
if [ -e /etc/opt/novell/ncl/tray_app.conf ]
then
	cp /etc/opt/novell/ncl/tray_app.conf /etc/opt/novell/ncl/tray_app.conf.ncl_rpmsave
fi
exit 0

%post
echo "novell-client-conf post install script"
echo "installing /etc/slp.conf"
if [ -e /etc/slp.conf ]
then
	mv /etc/slp.conf /etc/slp.conf.ncl_rpmsave
fi
cp /etc/opt/novell/ncl/slp.conf /etc/slp.conf
echo "writing the required conf file settings to the Xtier registry"
/opt/novell/ncl/bin/ncl_conf_xtier rpm
exit 0

%preun

%postun
if [ "$1" = 0 ]; then
	if [ -e /etc/slp.conf.ncl_rpmsave ]; then
		echo "removing /etc/slp.conf.ncl_rpmsave"
		rm -f /etc/slp.conf.ncl_rpmsave
	fi
	if [ -e /etc/slp.conf.ncl_original ]; then
		echo "removing /etc/slp.conf.ncl_original"
		rm -f /etc/slp.conf.ncl_original
	fi
	if [ -e /etc/slp.conf.ncl_semicolon ]; then
		echo "removing /etc/slp.conf.ncl_semicolon"
		rm -f /etc/slp.conf.ncl_semicolon
	fi
	if [ -e /etc/slp.conf.ncl_save ]; then
		echo "removing /etc/slp.conf.ncl_save"
		rm -f /etc/slp.conf.ncl_save
	fi
fi
exit 0


%files
%defattr (-,root,root)
/etc/opt/novell/ncl
